Loading...
Searching...
No Matches
pointset< T >

## Detailed Description

template<class T>
class rheolef::pointset< T >

Definition at line 79 of file pointset.h.

Inheritance diagram for pointset< T >:

## Public Types

typedef pointset_rep< T > | rep
typedef smart_pointer_nocopy< rep > | base
typedef rep::size_type | size_type
typedef rep::value_type | value_type
Public Types inherited from smart_pointer_nocopy< basis_rep< T > >
typedef basis_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| pointset (const pointset_option &popt=pointset_option())
void | reset (const pointset_option &popt)
const pointset_option & | option () const
size_type | nnod (const reference_element &hat_K) const
const point_basic< T > & | node (const reference_element &hat_K, size_i inod) const
Public Member Functions inherited from smart_pointer_nocopy< basis_rep< T > >
| smart_pointer_nocopy (basis_rep< T > *p=0)
| smart_pointer_nocopy (void *count, internal i)
| smart_pointer_nocopy (const smart_pointer_nocopy< basis_rep< T > > &x)
smart_pointer_nocopy< basis_rep< T > > & | operator= (const smart_pointer_nocopy< basis_rep< T > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T >

typedef pointset_rep<T> rep

Definition at line 84 of file pointset.h.

## base

template<class T >

typedef smart_pointer_nocopy<rep> base

Definition at line 85 of file pointset.h.

## size_type

template<class T >

typedef rep::size_type size_type

Definition at line 86 of file pointset.h.

## value_type

template<class T >

typedef rep::value_type value_type

Definition at line 87 of file pointset.h.

## Constructor & Destructor Documentation

## pointset()

template<class T >

pointset | ( | const pointset_option & | popt = `pointset_option()` | ) |

## Member Function Documentation

## reset()

template<class T >

void reset | ( | const pointset_option & | popt | ) |

## option()

template<class T >

const pointset_option & option | ( |  | ) | const

Definition at line 96 of file pointset.h.

## nnod()

template<class T >

size_type nnod | ( | const reference_element & | hat_K | ) | const

Definition at line 98 of file pointset.h.

## node()

template<class T >

const point_basic< T > & node | ( | const reference_element & | hat_K,
|  | size_i | inod
| ) |  | const

Definition at line 100 of file pointset.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/pointset.h